commit:     975f8e9930cd27fd19dd74d7e74aac8f3064fbf6
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 24 10:50:21 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Apr 24 10:53:20 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=975f8e99

app-misc/tmux: Bump to version 3.1

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-misc/tmux/Manifest        |  1 +
 app-misc/tmux/tmux-3.1.ebuild | 90 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-misc/tmux/Manifest b/app-misc/tmux/Manifest
index 4562315a654..22582312d76 100644
--- a/app-misc/tmux/Manifest
+++ b/app-misc/tmux/Manifest
@@ -1,3 +1,4 @@
 DIST tmux-2.9a.tar.gz 510915 BLAKE2B 
6a3dcdb66419fdd40818c18c3a16adf83fa67b3f5d4cc60953b64d62d2e3e139cad0612eef4233d3d5fa76aaae93e437c8394aa118791c87cb0670f1ddc65eae
 SHA512 
aca6882688727c10c5647443fdd18bbd6c0f80b7a3bf9667903d1b89d523e604cd715f176f33f2e5673258f00e626a6dc273f80fe97ae4f91621814d89985713
 DIST tmux-3.0a.tar.gz 546377 BLAKE2B 
1e784d98e1f18e7850e92d8d5f849ee1b8bcbf62b9323b6eb4007e038bd84480b3a171c93c88954701487ef228db8717bac886f51dd21efdf2766e676b0c16e3
 SHA512 
f326ee9c0e5e9a46ce9c99c76407b8cf35feea5f898c3c937fd8c5e488ff9a809272de19226d9d10f864e11051dcf633327820b7f8d86d85962da61174bbfb0b
+DIST tmux-3.1.tar.gz 561086 BLAKE2B 
8857a788283cee6ac7a63f3241186ba37092729873f2026686d497be3d66ec9650c54d453d8577c195081c2f6c0434e51af686035fd5397ca84ec830347f4a1a
 SHA512 
32f8bc03ee2071449c106f9c895164e8ffbb9cc720607d90e7ef397374c991c571294a918689bd9017ed7045fcff9e36d45ebb4b7454d93836f85bcc0333462b
 DIST tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b 458 BLAKE2B 
04143e6d1cfbbd467f1656f949363cb7a4a3e16e9b3cf56b8b0423babe56276abee2622964cb490005fc76d1cbe12201fb1a6446a6f860c2cc1ff3c9bd5fc496
 SHA512 
fe0aca7d03067af87e0788a2fa902c7ef5500ba72295cb63c5a1814534a008c224256d7f890ac1af6d17f3734b45148765e1632f075e284c453185df2927b979

diff --git a/app-misc/tmux/tmux-3.1.ebuild b/app-misc/tmux/tmux-3.1.ebuild
new file mode 100644
index 00000000000..9b59adfc622
--- /dev/null
+++ b/app-misc/tmux/tmux-3.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Terminal multiplexer"
+HOMEPAGE="https://tmux.github.io/";
+if [[ "${PV}" == 9999 ]] ; then
+       inherit git-r3
+       
SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux
 -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
+       EGIT_REPO_URI="https://github.com/tmux/tmux.git";
+else
+       SRC_URI="https://github.com/tmux/tmux/releases/download/$(ver_cut 
1-2)/${P/_/-}.tar.gz"
+       [[ "${PV}" == *_rc* ]] || \
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+       S="${WORKDIR}/${P/_/-}"
+fi
+
+LICENSE="ISC"
+SLOT="0"
+IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
+
+DEPEND="
+       dev-libs/libevent:0=
+       sys-libs/ncurses:0=
+       utempter? (
+               kernel_linux? ( sys-libs/libutempter )
+               kernel_FreeBSD? ( || ( >=sys-freebsd/freebsd-lib-9.0 
sys-libs/libutempter ) )
+       )"
+
+BDEPEND="
+       virtual/pkgconfig
+       virtual/yacc
+"
+
+RDEPEND="
+       ${DEPEND}
+       selinux? ( sec-policy/selinux-screen )
+       vim-syntax? ( app-vim/vim-tmux )"
+
+DOCS=( CHANGES README )
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.4-flags.patch"
+
+       # upstream fixes (can be removed with next version bump)
+)
+
+src_prepare() {
+       # bug 438558
+       # 1.7 segfaults when entering copy mode if compiled with -Os
+       replace-flags -Os -O2
+
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --sysconfdir="${EPREFIX}"/etc
+               $(use_enable debug)
+               $(use_enable utempter)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       einstalldocs
+
+       dodoc example_tmux.conf
+       docompress -x /usr/share/doc/${PF}/example_tmux.conf
+}
+
+pkg_postinst() {
+       if ! ver_test 1.9a -ge ${REPLACING_VERSIONS:-1.9a}; then
+               echo
+               ewarn "Some configuration options changed in this release."
+               ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"
+               ewarn
+               ewarn "WARNING: After updating to ${P} you will _not_ be able 
to connect to any"
+               ewarn "older, running tmux server instances. You'll have to use 
an existing client to"
+               ewarn "end your old sessions or kill the old server instances. 
Otherwise you'll have"
+               ewarn "to temporarily downgrade to access them."
+               echo
+       fi
+}

Reply via email to